<!doctype html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Les P'tis génies - La cyber fabrique - Joris Navarro</title>
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>

    <!-- Nav -->
    <nav class="navbar navbar-dark bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Les P'<span class="hidden-xs">tits</span> G<span class="hidden-xs">énies</span></a>
            <ul class="nav navbar-nav navbar-right">
                <li><a class="btn btn-light" href="https://gitlab.com/jorisnavarro/classes/ptitsgenies" target="_blank">GitLab</a></li>
            </ul>
        </div>
    </nav>

    <!-- Index -->
    <div class="container pt-4 pr-0 pl-0">
        <style>
            .table td {
                padding: .25rem;
            }
        </style>
        <table id="cours" class="table table-striped">
            <tr>
                <th class="number">#</th>
                <th class="date">Date</th>
                <th class="title">Title</th>
                <th class="action text-right">Actions</th>
            </tr>
            <tbody>

            </tbody>

            <!--          
            <?php foreach($files as $_file): ?>
                    <tr>
                        <td class="num"><?php echo $_file->num; ?></td>
                        <td class="title"><?php echo $_file->title; ?></td>
                        <td class="action text-right">

                            <?php foreach($_file->resources as $_resource): ?>
                                <a class="btn btn-default" href="<?php echo $_resource->url ?>" target="_blank"><i class="glyphicon glyphicon-download glyphicon-white hidden-xs"></i> <?= $_resource->name ?></a>
                            <?php endforeach; ?>

                            <a class="btn btn-primary" href="<?php echo $_file->url ?>" target="_blank">Open</a>
                        </td>
                    </tr>
            <?php endforeach; ?>
                  -->
        </table>
    </div>

    <script type="text/javascript" language="javascript">
        let xhr = new XMLHttpRequest;
        xhr.open('GET', 'cours.json', true);
        xhr.onload = function() {
                if (this.status === 200) {
                    let data = JSON.parse(this.responseText),
                        tbodyHtml = '';

                    data.map(function(d) {
                                tbodyHtml += `
                <tr>                  
                  <td class="num">${d.index}</td>
                  <td class="date">${d.date}</td>
                  <td class="title">${d.title}</td>
                  <td class="action text-right"> <span class="hidden-xs">
                        
                        ${d.resources ? d.resources?.map(element => {
                          return `<a class="btn btn-default" href="${element.url}" target="_blank"><i class="glyphicon glyphicon-download glyphicon-white hidden-xs"></i> ${element.label}</a>`
                        }):''}                     
                      </span>
                      <a class="btn btn-primary ${d.active?"":"disabled"}" href="${d.path}" target="_blank">Consulter</a>
                  </td>
                </tr>
              `;
            });
            
            document.querySelector('#cours tbody').innerHTML = tbodyHtml;
          }
        }
        xhr.send();
    </script>
</body>

</html>